using Microsoft.Extensions.Logging;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ReportingServices.Desktop
{
    public partial class Form1 : Form
    {
        ILogger<Form1> _logger;

        public Form1(ILogger<Form1> logger)
        {
            _logger = logger;
            InitializeComponent();
        }

        private void btnDailyReport_Click(object sender, EventArgs e)
        {
            DailyReport report = new DailyReport(_logger);
            this.Hide();
            report.Show();
        }
    }
}
